### Method

# Soup Session send_finish

#### Declaration [src]

    GInputStream*
    soup_session_send_finish (
      SoupSession* session,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Gets the response to a `soup_session_send_async()` call.

If successful returns a `GInputStream` that can be used to read the response body.

#### Parameters

`result` | `GAsyncResult`
| The `GAsyncResult` passed to your callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GInputStream`
| A `GInputStream` for reading the response body, or `NULL` on error.
| The caller of the method takes ownership of the data, and is responsible for freeing it.